Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Parâmetros de consultas
api-version
string
obrigatório
The API version to use for this operation.
Parâmetros de caminho
id
string
obrigatório
Unique identifier for the evaluation rule.
Respostas
The request has succeeded.
Corpo
id
string
obrigatório
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
obrigatório
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
obrigatório
evalId
string
obrigatório
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
obrigatório
templateId
string
obrigatório
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
obrigatório
Filter by agent name.
eventType
string | enum
obrigatório
Type of the evaluation rule event.
enum
enabled
boolean
obrigatório
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
obrigatório
System metadata for the evaluation rule.
Pedir
GET /evaluationrules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json